Subject: Re: [PATCH gnome-team v2] gnu: gnome-desktop: Propagate missing core applications.

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 26 Jan 2024 23:47:59 +0100

Am Freitag, dem 26.01.2024 um 16:16 -0500 schrieb Maxim Cournoyer:
> Hi,
> 
> Vivien Kraus <[email-masked]> writes:
> 
> > The categories are from the meta-packages in the
> > https://gitlab.gnome.org/GNOME/gnome-build-meta repository.
> > 
> > * gnu/packages/gnome.scm (gnome) [propagated-inputs]: Add gnome-
> > connections and gnome-remote-desktop. Add GNOME-Core-Developer-
> > Tools section
> > with dconf-editor, devhelp, d-spy, gnome-boxes, gnome-builder,
> > sysprof.  Add GNOME-Core-Mobile section with calls.
> > 
> > Change-Id: I218cf0c3c4d52d9f611275737accb0f723fe94b5
> > ---
> > Dear guix,
> > 
> > I crawled https://gitlab.gnome.org/GNOME/gnome-build-meta and I
> > think now we have the core applications in the correct section (and
> > yes, gnome-remote-desktop is one!).  That’s quite a lot of
> > applications, but maybe it’s OK. What do you think? Regarding i686-
> > linux, gnome-shell depends on gjs and thus rust, so I’m not sure
> > there’s anything to save.
> 
> Thanks for doing so!
> 
> > Best regards,
> > 
> > Vivien
> > 
> >  gnu/packages/gnome.scm | 11 +++++++++++
> >  1 file changed, 11 insertions(+)
> > 
> > diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
> > index 3d89f06d6a..fdc903d48d 100644
> > --- a/gnu/packages/gnome.scm
> > +++ b/gnu/packages/gnome.scm
> > @@ -10145,6 +10145,15 @@ (define-public gnome
> >               (list eog)
> >               '())
> >         ,@(list
> > +          ;; GNOME-Core-Developer-Tools.
> > +          dconf-editor
> > +          devhelp
> > +          d-spy
> > +          gnome-boxes
> > +          gnome-builder
> > +          sysprof
> > +          ;; GNOME-Core-Mobile.
> > +          calls
> >            ;; GNOME-Core-OS-Services.
> >            accountsservice
> >            network-manager
> > @@ -10162,6 +10171,7 @@ (define-public gnome
> >            gnome-initial-setup
> >            gnome-keyring
> >            gnome-menus
> > +          gnome-remote-desktop
> >            gnome-session
> >            gnome-settings-daemon
> >            gnome-shell
> > @@ -10185,6 +10195,7 @@ (define-public gnome
> >            gnome-calendar
> >            gnome-characters
> >            gnome-clocks
> > +          gnome-connections
> >            gnome-console
> >            gnome-contacts
> >            gnome-disk-utility
> 
> I think that's fine for now, and the RFC from Liliana looks great as
> well, so the above could be used as the legacy meta-package (I assume
> they are part of Liliana's new categorized lists of default GNOME
> packages that can be configured).
I skipped the optional bits (developer tools + calls), as they're a
rather mixed bag. We should probably add the other two, however.

Cheers